> ## Documentation Index
> Fetch the complete documentation index at: https://docs.liquidramp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Listing Orders

> Pagination, filters, and sort order for GET /v1/orders.

`GET /v1/orders` returns newest orders first. There is no `sort` query parameter — use filters if you need a specific window.

## Pagination

```bash theme={null}
GET /v1/orders?page=1&perPage=20
```

| Parameter | Default | Description           |
| --------- | ------- | --------------------- |
| `page`    | `1`     | 1-indexed page number |
| `perPage` | `20`    | Items per page        |

Paginated responses include `meta`:

```json theme={null}
{
  "status": true,
  "message": "Orders retrieved",
  "data": [ ],
  "meta": {
    "total": 142,
    "per_page": 20,
    "current_page": 1,
    "last_page": 8
  }
}
```

## Filters

| Parameter                | Type                            | Matches                  |
| ------------------------ | ------------------------------- | ------------------------ |
| `status`                 | string                          | Order status             |
| `type`                   | `onramp` \| `offramp` \| `swap` | Order type               |
| `network_identifier`     | string                          | Either leg's network     |
| `crypto_currency_symbol` | string                          | Either leg's crypto code |
| `fiat_currency_code`     | string                          | Either leg's fiat code   |
| `customer_reference`     | string                          | Customer reference       |
| `date_from`              | `DD/MM/YYYY`                    | Created on or after      |
| `date_to`                | `DD/MM/YYYY`                    | Created on or before     |

Filters are combined with AND. Omit a parameter to skip it.

```bash theme={null}
GET /v1/orders?status=completed&type=onramp&fiat_currency_code=NGN&date_from=01/06/2026&date_to=30/06/2026&page=1&perPage=50
```

## Other list endpoints

| Endpoint               | Useful filters            |
| ---------------------- | ------------------------- |
| `GET /v1/institutions` | `type`, `country`, `fiat` |

See the [API Reference](/api-reference) for each endpoint.

## Related

* [Orders](/concepts/orders)
* [List orders](/api-reference/list-orders)
